<?php

/**
 * @file
 * Provides a condition for the Context module if a Panel variant is rendered.
 */

/**
 * Allows selection of a Panels-variation.
 */
class context_panels_condition extends context_condition {

  // Return a list with all Panels variations.
  function condition_values() {

    $variations = [];

    $tasks = page_manager_get_tasks();
    foreach ($tasks as $task) {
      $handlers = page_manager_load_sorted_handlers($task, '', TRUE);
      foreach ($handlers as $machine_name => $handler) {
        $variations[$machine_name] = $handler->conf['title'];
      }
    }

    return $variations;
  }

  // Tests if the current handler matches the condition configuration.
  function execute($handler) {
    foreach ($this->get_contexts($handler->name) as $context) {
      $this->condition_met($context, $handler->name);
    }
  }

}
